/* USER CODE BEGIN Header */
/**
  ******************************************************************************
  * @file           : main.h
  * @brief          : Header for main.c file.
  *                   This file contains the common defines of the application.
  ******************************************************************************
  * @attention
  *
  * Copyright (c) 2025 STMicroelectronics.
  * All rights reserved.
  *
  * This software is licensed under terms that can be found in the LICENSE file
  * in the root directory of this software component.
  * If no LICENSE file comes with this software, it is provided AS-IS.
  *
  ******************************************************************************
  */
/* USER CODE END Header */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __MAIN_H
#define __MAIN_H

#ifdef __cplusplus
extern "C" {
#endif

/* Includes ------------------------------------------------------------------*/
#include "stm32h7xx_hal.h"

/* Private includes ----------------------------------------------------------*/
/* USER CODE BEGIN Includes */

/* USER CODE END Includes */

/* Exported types ------------------------------------------------------------*/
/* USER CODE BEGIN ET */

/* USER CODE END ET */

/* Exported constants --------------------------------------------------------*/
/* USER CODE BEGIN EC */

/* USER CODE END EC */

/* Exported macro ------------------------------------------------------------*/
/* USER CODE BEGIN EM */

/* USER CODE END EM */

/* Exported functions prototypes ---------------------------------------------*/
void Error_Handler(void);

/* USER CODE BEGIN EFP */

/* USER CODE END EFP */

/* Private defines -----------------------------------------------------------*/
#define STATUS_LED_1_Pin GPIO_PIN_6
#define STATUS_LED_1_GPIO_Port GPIOF
#define STATUS_LED_2_Pin GPIO_PIN_7
#define STATUS_LED_2_GPIO_Port GPIOF
#define Display_Reset_Pin GPIO_PIN_8
#define Display_Reset_GPIO_Port GPIOC
#define Display_Standby_Pin GPIO_PIN_10
#define Display_Standby_GPIO_Port GPIOC
#define Display_Left_Right_Pin GPIO_PIN_11
#define Display_Left_Right_GPIO_Port GPIOC
#define Display_Up_Down_Pin GPIO_PIN_12
#define Display_Up_Down_GPIO_Port GPIOC
#define Charger_CC_Status_Pin GPIO_PIN_9
#define Charger_CC_Status_GPIO_Port GPIOG
#define Charger_OT_Pin GPIO_PIN_11
#define Charger_OT_GPIO_Port GPIOG
#define Charger_LIM_Pin GPIO_PIN_12
#define Charger_LIM_GPIO_Port GPIOG
#define Charger_DC_FAIL_Pin GPIO_PIN_13
#define Charger_DC_FAIL_GPIO_Port GPIOG
#define Charger_Relay_Pin GPIO_PIN_14
#define Charger_Relay_GPIO_Port GPIOG
#define Charger_AC_Fail_Pin GPIO_PIN_4
#define Charger_AC_Fail_GPIO_Port GPIOB
#define Charger_Remote_Shutdown_Pin GPIO_PIN_5
#define Charger_Remote_Shutdown_GPIO_Port GPIOB

/* USER CODE BEGIN Private defines */

/* USER CODE END Private defines */

#ifdef __cplusplus
}
#endif

#endif /* __MAIN_H */
